Resolido Docs
Channels

Assign mailbox to agent

PUT
/agents/{agentId}/mailbox

Let an agent handle a mailbox (one mailbox per agent). Owner/admin.

Authorization

bearer channels:write
headerAuthorizationBearer <token>

API key (rsl_live_…) from Settings → Developers.

Scope: channels:write

Path Parameters

agentId*string

AI agent id. Never invent ids – list resources first.

Length1 <= length <= 64

Request Body

application/json
  1. body
mailboxId*string

Mailbox id. Never invent ids – list resources first.

Length1 <= length <= 64

Response Body

Success

application/json
  1. response
agentId*string
mailboxId*string
curl -X PUT "https://example.com/agents/string/mailbox" \  -H "Content-Type: application/json" \  -d '{    "mailboxId": "string"  }'
{  "agentId": "string",  "mailboxId": "string"}